package com.chelvc.cloud.admin.controller;
import com.chelvc.cloud.vehicle.api.dto.TeamDTO;
import com.chelvc.cloud.vehicle.api.param.TeamInvitePageParam;
import com.chelvc.cloud.vehicle.api.service.UserInviteService;
import com.chelvc.framework.base.annotation.ResponseWrapping;
import org.apache.dubbo.config.annotation.DubboReference;
import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RestController;

import javax.validation.Valid;

/**
 * 用户分销接口
 *
 * @author liude
 * @date 2024/4/30
 */
@Validated
@RestController
@ResponseWrapping
public class InviteUserController {
    @DubboReference
    private UserInviteService userInviteService;

    /**
     * 查询用户分销分页
     *
     * @param param 查询参数
     * @return 用户分销分页信息
     */
    @GetMapping("/userInvite/paging")
    public TeamDTO getUserInvitePaging(@Valid TeamInvitePageParam param) {
        return this.userInviteService.inviteList(param);
    }
}
